int.hh File Reference
`#include "test/test.hh"`
`#include <gecode/int.hh>`
`#include "test/int.hpp"`

Go to the source code of this file.

## Classes

class | Test::Int::Assignment
| Base class for assignments More...
class | Test::Int::CpltAssignment
| Generate all assignments. More...
class | Test::Int::RandomAssignment
| Generate random selection of assignments. More...
class | Test::Int::RandomMixAssignment
| Generate random selection of assignments. More...
class | Test::Int::TestSpace
| Space for executing tests. More...
class | Test::Int::Test
| Base class for tests with integer constraints More...
class | Test::Int::IntPropLevels
| Iterator for simple integer propagation levels. More...
class | Test::Int::IntPropBasicAdvanced
| Iterator for basic and advanced integer propagation levels. More...
class | Test::Int::IntRelTypes
| Iterator for integer relation types. More...
class | Test::Int::BoolOpTypes
| Iterator for Boolean operation types. More...

## Namespaces

namespace | Test
| General test support.
namespace | Test::Int
| Testing finite domain integers.

## Enumerations

enum | Test::Int::ConTestLevel { Test::Int::CTL_NONE , Test::Int::CTL_DOMAIN , Test::Int::CTL_BOUNDS_D , Test::Int::CTL_BOUNDS_Z }
| Level of consistency to test for. More...